Package org.pentaho.reporting.libraries.formula.typing

## Interface NumberSequence

- All Superinterfaces:
    `Sequence`
  All Known Implementing Classes:
    `AnyNumberSequence`, `DefaultNumberSequence`

      public interface NumberSequence
      extends Sequence

  Todo: Document Me
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Number` | `nextNumber()` |

    - ### Methods inherited from interface org.pentaho.reporting.libraries.formula.typing.Sequence

      `hasNext, next, nextRawValue`

- - ### Method Detail

    - #### nextNumber

          java.lang.Number nextNumber()
                               throws EvaluationException

      Throws:
        `EvaluationException`